#ifndef __SOURCE4_TORTURE_VFS_PROTO_H__
#define __SOURCE4_TORTURE_VFS_PROTO_H__

#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2) PRINTF_ATTRIBUTE(a1, a2)
/* This file was automatically generated by mkproto.pl. DO NOT EDIT */

/* this file contains prototypes for functions that are private 
 * to this subsystem or library. These functions should not be 
 * used outside this particular subsystem! */


/* The following definitions come from ../../source4/torture/vfs/vfs.c  */

struct torture_test *torture_suite_add_2ns_smb2_test(struct torture_suite *suite,
						     const char *name,
						     bool (*run)(struct torture_context *,
								 struct smb2_tree *,
								 struct smb2_tree *));
NTSTATUS torture_vfs_init(TALLOC_CTX *ctx);

/* The following definitions come from ../../source4/torture/vfs/fruit.c  */


/**
 * Create a file or directory
 **/
struct torture_suite *torture_vfs_fruit(TALLOC_CTX *ctx);
struct torture_suite *torture_vfs_fruit_netatalk(TALLOC_CTX *ctx);
struct torture_suite *torture_vfs_fruit_file_id(TALLOC_CTX *ctx);
struct torture_suite *torture_vfs_fruit_timemachine(TALLOC_CTX *ctx);
struct torture_suite *torture_vfs_fruit_conversion(TALLOC_CTX *ctx);

/* The following definitions come from ../../source4/torture/vfs/acl_xattr.c  */


/**
 * SMB2 connect with explicit share
 **/
struct torture_suite *torture_acl_xattr(TALLOC_CTX *ctx);
#undef _PRINTF_ATTRIBUTE
#define _PRINTF_ATTRIBUTE(a1, a2)

#endif /* __SOURCE4_TORTURE_VFS_PROTO_H__ */

